Bug 440087 - Creation of a new project fails
Creation of a new project fails
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anjuta (Show other bugs)
9
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Debarshi Ray
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-01 14:01 EDT by Joonas Sarajärvi
Modified: 2009-07-15 04:15 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-15 04:15:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joonas Sarajärvi 2008-04-01 14:01:06 EDT
Description of problem:
When I create a new project of type other than Generic (Minimal), the creation
of the project fails. Here is the output from Anjuta's 'Messages' area:

Creating /home/joonas/Anjuta/sdl-example3/ChangeLog ... Fail to copy file
Creating /home/joonas/Anjuta/sdl-example3/Makefile.am (using AutoGen)... Ok
Creating /home/joonas/Anjuta/sdl-example3/NEWS ... Fail to copy file
Creating /home/joonas/Anjuta/sdl-example3/README ... Fail to copy file
Creating /home/joonas/Anjuta/sdl-example3/autogen.sh (using AutoGen)... Ok
Creating /home/joonas/Anjuta/sdl-example3/sdl-example3.anjuta ... Ok
Creating /home/joonas/Anjuta/sdl-example3/.cvsignore ... Ok
Creating /home/joonas/Anjuta/sdl-example3/src/.cvsignore ... Ok
Creating /home/joonas/Anjuta/sdl-example3/po/ChangeLog ... Fail to copy file
Creating /home/joonas/Anjuta/sdl-example3/po/POTFILES.in (using AutoGen)... Ok
Creating /home/joonas/Anjuta/sdl-example3/po/LINGUAS ... Ok
Creating /home/joonas/Anjuta/sdl-example3/po/.cvsignore ... Ok
Creating /home/joonas/Anjuta/sdl-example3/configure.ac (using AutoGen)... Ok
Creating /home/joonas/Anjuta/sdl-example3/acinclude.m4 ... Ok
Creating /home/joonas/Anjuta/sdl-example3/src/main.c (using AutoGen)... Ok
Creating /home/joonas/Anjuta/sdl-example3/src/Makefile.am (using AutoGen)... Ok
New project creation has failed

The Generic (Minimal) project type doesn't try to add the files that fail to get
copied in others, so it works. The others don't.

Version-Release number of selected component (if applicable):
anjuta.i386                              1:2.2.3-2.fc8

How reproducible:
Every time.


Steps to Reproduce:
1. Install anjuta and autogen.
2. Run the New project wizard in Anjuta.
3. Select the project type not to Generic (Minimal).
4. Leave other settings as default, click next and apply until the wizard finishes.

Actual results:
Messages included above appear to the Messages area. There is no way to actually
start working on the project.

Expected results:
A new project with its associated files appear on the screen, as they do when I
select the Generic (Minimal) project type.

Additional info:
The same bug seems to apply to Rawhide, too, but I am currently reporting this
from a machine that has only Fedora 8 in it.
Comment 1 Debarshi Ray 2008-04-10 00:43:16 EDT
Thank you for the report. I am looking into it.
Comment 2 Fedora Update System 2008-04-12 09:38:45 EDT
anjuta-2.2.3-7.fc7 has been submitted as an update for Fedora 7
Comment 3 Fedora Update System 2008-04-12 09:39:30 EDT
anjuta-2.2.3-7.fc8 has been submitted as an update for Fedora 8
Comment 4 Fedora Update System 2008-04-16 23:50:35 EDT
anjuta-2.2.3-7.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update anjuta'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-3078
Comment 5 Fedora Update System 2008-04-22 18:35:16 EDT
anjuta-2.2.3-7.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2008-04-22 18:37:12 EDT
anjuta-2.2.3-7.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Debarshi Ray 2008-04-24 22:12:26 EDT
Joonas, Patrick, have you tried these new Anjuta packages? They appear to work
for me.
Comment 8 Joonas Sarajärvi 2008-04-25 02:08:38 EDT
To me, Anjuta seems to work fine now, in both Fedora 8 and Rawhide. Thanks for
fixing it :-)
Comment 9 Patrick Hallinan 2008-04-25 04:49:01 EDT
Project creation works but a default gtk project fails to build:

make main.o
cc    -c -o main.o main.c
/home/patrick/Projects/gtk-foobar/src/main.c:26:20: error: config.h: No such
file or directory
/home/patrick/Projects/gtk-foobar/src/main.c:28:21: error: gtk/gtk.h: No such
file or directory
/home/patrick/Projects/gtk-foobar/src/main.c:29:25: error: glade/glade.h: No
such file or directory
/home/patrick/Projects/gtk-foobar/src/main.c:63: error: expected ‘=’, ‘,’, ‘;’,
‘asm’ or ‘__attribute__’ before ‘*’ token
main.c: In function ‘main’:
/home/patrick/Projects/gtk-foobar/src/main.c:82: error: ‘GtkWidget’ undeclared
(first use in this function)
/home/patrick/Projects/gtk-foobar/src/main.c:82: error: (Each undeclared
identifier is reported only once
/home/patrick/Projects/gtk-foobar/src/main.c:82: error: for each function it
appears in.)
/home/patrick/Projects/gtk-foobar/src/main.c:82: error: ‘window’ undeclared
(first use in this function)
make: *** [main.o] Error 1
Completed... unsuccessful
Total time taken: 0 secs

This is main.cc:

/* -*- Mode: C; indent-tabs-mode: t; c-basic-offset: 4; tab-width: 4 -*- */
/*
 * main.cc
 * Copyright (C) Patrick Hallinan 2008 <patrick@localhost.localdomain>
 * 
 * main.cc is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * main.cc is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <libglademm/xml.h>
#include <gtkmm.h>
#include <iostream>


#ifdef ENABLE_NLS
#  include <libintl.h>
#endif


/* For testing propose use the local (not installed) glade file */
/* #define GLADE_FILE PACKAGE_DATA_DIR"/gtk-foobar/glade/gtk-foobar.glade" */
#define GLADE_FILE "gtk-foobar.glade"
   
int
main (int argc, char *argv[])
{
	Gtk::Main kit(argc, argv);
	
	//Load the Glade file and instiate its widgets:
	Glib::RefPtr<Gnome::Glade::Xml> refXml;
	try
	{
		refXml = Gnome::Glade::Xml::create(GLADE_FILE);
	}
	catch(const Gnome::Glade::XmlError& ex)
    {
		std::cerr << ex.what() << std::endl;
		return 1;
	}
	Gtk::Window* main_win = 0;
	refXml->get_widget("main_window", main_win);
	if (main_win)
	{
		kit.run(*main_win);
	}
	return 0;
}
Comment 10 Debarshi Ray 2008-05-13 22:44:56 EDT
(In reply to comment #9)

The first half refers to a Gtk project in C, while the second half refers to a
Gtkmm project in C++. In any case the default Gtk project did build smoothly for me.

Did you install Anjuta and its dependencies from the Fedora packages? If yes,
which versions are you using? (rpm -qa | grep anjuta)
Comment 11 Bug Zapper 2008-05-14 04:32:43 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Debarshi Ray 2008-10-28 14:54:22 EDT
Patrick, ping?
Comment 13 Patrick Hallinan 2008-10-28 22:26:34 EDT
Ok I'm here.  I'm running rawhide.  Should I install anjuta and try the default Gtk project with that?  

I see that I tried to build a gtkmm project.  Shouldn't all default project build (I'm assuming that was a generated gtkmm project, I remember nothing)?
Comment 14 Debarshi Ray 2008-10-29 02:08:10 EDT
(In reply to comment #13)

> Ok I'm here.  I'm running rawhide.  Should I install anjuta and try the default
> Gtk project with that?  
> 
> I see that I tried to build a gtkmm project.  Shouldn't all default project
> build (I'm assuming that was a generated gtkmm project, I remember nothing)?

You need to have the relevant Gtk+ libraries and headers if you are planning to use the Gtk+ project. Same goes for Gtkmm, Vala, etc..

If we decide to add the -devel packages of all these different projects supported by Anjuta, it will guarantee that they will always work, but we will end up with a bloated dependency chain. eg., anyone who wants to use Anjuta to work on a simple C or C++ project will be burdened with the entire developement stack of Gtk+, Gtkmm, Vala, etc. which is not really desirable.

Right now, I am thinking whether we should work on a solution similar to what was devised for Totem's Gstreamer plugins using PackageKit. The workflow will be something like this: user selects a new project to be created and depending on which kind of project he chose, the programs check whether the needed libraries and headers are available or not. If they are not present, a dialog will be shown, promptimg him to install the necessary packages, and if the user agrees PackageKit will be invoked to carry out the necessary installations automatically.

What do you think?
Comment 15 Patrick Hallinan 2008-10-29 07:04:33 EDT
That's better than what I was thinking.  I was thinking that, at a minimum, the developer should get instructions for what needs to be installed when they try to create a project that doesn't have the required packages installed.
Comment 16 Bug Zapper 2009-06-09 19:58:00 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 17 Bug Zapper 2009-07-15 04:15:26 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.